## com.sun.grizzly.async
Class AsyncQueue.AsyncQueueEntry

    java.lang.Object
      com.sun.grizzly.async.AsyncQueue.AsyncQueueEntry

Enclosing class:
  AsyncQueue<K,E>

    protected class AsyncQueue.AsyncQueueEntry

extends Object

`AsyncQueue` data unit

Field Summary
`AtomicReference<E>` `currentElement`
`ConcurrentLinkedQueue<E>` `queue`
`ReentrantLock` `queuedActionLock`

Constructor Summary
`AsyncQueue.AsyncQueueEntry()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### queue

    public ConcurrentLinkedQueue<E> queue

### currentElement

    public AtomicReference<E> currentElement

### queuedActionLock

    public ReentrantLock queuedActionLock

Constructor Detail

### AsyncQueue.AsyncQueueEntry

    public AsyncQueue.AsyncQueueEntry()

Copyright © 2008 SUN Microsystems. All Rights Reserved.